

function love.load()

	pause = 0

	world = bump.newWorld()
	map = sti.new("map/themapo")
	cam = gamera.new(0,0,800,223)
	cam:setScale(4.80)
	platform:new(map)
	pausemenu:new()
	minimap:new(map)

	
end

function updateCamera(dt)

	down = love.keyboard.isDown
	cam:setPosition(player.x, player.y)
	
	local scaleFactor = down('down') and -0.8 or (down('up') and 0.8 or 0)
	cam:setScale(cam:getScale() + scaleFactor * dt)
	
	local angleFactor = down('left') and -0.8 or (down('right') and 0.8 or 0)
	cam:setAngle(cam:getAngle() + angleFactor * dt)

	for i=1, #campos do
		if player.x >= campos[i].x and player.x < campos[i].x+campos[i].w and player.y > campos[i].y and player.y < campos[i].y+campos[i].h then
			cam:setWorld(campos[i].camx, campos[i].camy, campos[i].camw*400, campos[i].camh*224)
		end
	end
  
 end

function love.updateScene(dt)

if input:pressed("pause") then
	if pause == 0 then pause = 0.5 end
	if pause == 1 then pause = -1 end
end

if input:released("pause") then
	if pause == 0.5 then pause = 1 end
	if pause == -1 then pause = 0 end
end

if pause >= 0.5 then pausemenu:update() end
map:update(dt)
if pause <= 0 then player:update(dt) end
updateCamera(dt)
if love.keyboard.isDown("r") then state.switch("main;2;100;100;100") end
if input:pressed("quit") then love.event.quit() end

minimap:update()
input:update(dt)

end


function love.drawScene()

	cam:draw(function(l,t,w,h) map:draw() player:draw() minimap:grid() end)
	if pause >= 0.5 then pausemenu:draw() end
	love.graphics.setFont(mpixelfont)
	if cols[1] then love.graphics.print(cols[1].normal.x, 20, 20) end
	if cols[1] then love.graphics.print(cols[1].normal.y, 20, 40) end
	if cols[2] then love.graphics.print(cols[2].normal.x, 40, 20) end
	if cols[2] then love.graphics.print(cols[2].normal.y, 40, 40) end
	
	gl, gt, gw, gh = cam:getVisible()
	
	love.graphics.print(math.floor(player.x), 60, 20)
	love.graphics.print(math.floor(player.y), 60, 40)
	love.graphics.print(dy, 20, 60)
	love.graphics.print(jump, 60, 60)
	if cols[1] then love.graphics.print('collided with ' .. tostring(cols[1].other.name), 20, 100) end
	if cols[2] then love.graphics.print('collided with ' .. tostring(cols[2].other.name), 20, 120) end
	love.graphics.print(gl, 20, 140)
	love.graphics.print(gt, 20, 160)
	love.graphics.print(mmap[0][0].playerin, 20, 180)
	love.graphics.print(mmap[1][0].playerin, 40, 180)
	love.graphics.print(mmap[2][0].playerin, 60, 180)
	love.graphics.print(mmap[0][1].playerin, 20, 200)
	love.graphics.print(mmap[1][1].playerin, 40, 200)
	love.graphics.print(mmap[2][1].playerin, 60, 200)
	love.graphics.print(math.floor(walls[2].x1), 100, 200)
	love.graphics.print(math.floor(walls[2].x2), 100, 230)
	love.graphics.print(math.floor(walls[10].y1), 150, 200)
	love.graphics.print(math.floor(walls[10].y2), 150, 230)
	love.graphics.print(cam:getScale(), 180, 230)
	minimap:draw()

end